Installing Intel OpenCL in centOS

Installing Intel OpenCL in centOS

Trying to installintel_ocl_sdk_1.5_x64.rpmin a centOS machine
uname -s -r -v -m -p -i -o :
Linux 2.6.18-194.el5 #1 SMP Fri Apr 2 14:58:14 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

Should I expect to fail when installing?

The fact is, *prior* to installing these dependency errors happen:

rpm -iintel_ocl_sdk_1.5_x64.rpm

error: Failed dependencies:
libnuma.so.1(libnuma_1.1)(64bit) is needed by intel-ocl-sdk-1.5-15293.x86_64libnuma.so.1(libnuma_1.2)(64bit) is needed by intel-ocl-sdk-1.5-15293.x86_64libstdc++.so.6(GLIBCXX_3.4.10)(64bit) is needed by intel-ocl-sdk-1.5-15293.x86_64libstdc++.so.6(GLIBCXX_3.4.9)(64bit) is needed by intel-ocl-sdk-1.5-15293.x86_64

Both libnuma.so.1 and libstdc++.so.6 are in /usr/lib64.

Any hint on what am I overlooking for ?
Thanks.

2 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

I think there is a flag you can use to ignore the dependency check. I remembered I saw thesame error, andsomehow I wasable toget through that step.

Leave a Comment

Please sign in to add a comment. Not a member? Join today